summaryrefslogtreecommitdiffstats
path: root/bin/chroot-run.sh
diff options
context:
space:
mode:
authorHelmut Grohne <helmut@subdivi.de>2014-09-08 17:12:54 +0200
committerHelmut Grohne <helmut@subdivi.de>2014-09-08 17:12:54 +0200
commitdfedb80e3fb691dfc5f1eec54ec0b1e5c7821f63 (patch)
treea7f86ee5fdb0ed008c10e0114ff4573f8dabf157 /bin/chroot-run.sh
parent3609899b29392d61d87c11b533732a5872d449f8 (diff)
downloadjenkins.debian.net-dfedb80e3fb691dfc5f1eec54ec0b1e5c7821f63.tar.xz
chroot-run.sh minimal should bootstrap a minbase
This should further reduce the incurred io load.
Diffstat (limited to 'bin/chroot-run.sh')
-rwxr-xr-xbin/chroot-run.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index a1388c6f..18f14a2a 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -26,6 +26,7 @@ fi
if [ "$1" == "minimal" ] ; then
MINIMAL=yes
+ BOOTSTRAP_OPTIONS=--variant=minbase
shift
fi
@@ -47,7 +48,7 @@ bootstrap() {
echo force-unsafe-io > "$CHROOT_TARGET/etc/dpkg/dpkg.cfg.d/02dpkg-unsafe-io"
echo "Bootstraping $DISTRO into $CHROOT_TARGET now."
- if ! sudo debootstrap $DISTRO $CHROOT_TARGET $MIRROR; then
+ if ! sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR; then
SLEEPTIME=1800
echo "debootstrap failed, slowing down, sleeping $SLEEPTIME now..."
sleep $SLEEPTIME